<?php

namespace App\Forms\Auth;

use App\Forms\CommonForm;

class GoogleForm extends CommonForm
{
  public function __construct()
  {
    parent::__construct();
  }

  public function getFormRule(string $action, string $field): string
  {
    switch ($field) {
      case "access_code":
        $rule = "required|trim|string";
      default:
        $rule = parent::getFormRule($action,  $field);
        break;
    }
    return $rule;
  }
}
